Debian Bug report logs - #598745
cmor: FTBFS on kfreebsd-i386: make[1]: *** [test_C] Error 134

version graph

Package: src:cmor; Maintainer for src:cmor is Alastair McKinstry <mckinstry@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Fri, 1 Oct 2010 16:33:04 UTC

Severity: important

Found in version cmor/2.2.1-1

Fixed in version cmor/2.8.0-3

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Fri, 01 Oct 2010 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Alastair McKinstry <mckinstry@debian.org>. (Fri, 01 Oct 2010 16:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cmor: FTBFS on kfreebsd-i386: make[1]: *** [test_C] Error 134
Date: Fri, 01 Oct 2010 15:45:45 +0200
Source: cmor
Version: 2.2.1-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package (repeatedly) FTBFS on kfreebsd-i386:
|    dh_auto_test
| 	make -j1 test
| make[1]: Entering directory `/build/buildd-cmor_2.2.1-1-kfreebsd-i386-qDQUqC/cmor-2.2.1'
| r - cmor.o
| r - cmor_axes.o
| r - cmor_variables.o
| r - cmor_tables.o
| r - cdTimeConv.o
| r - cdUtil.o
| r - timeConv.o
| r - timeArith.o
| r - cmor_grids.o
| r - cmor_md5.o
| r - cmor_cfortran_interface.o
| r - cmor_fortran_interface.o
| ln -sf TestTables Tables
| Aborted
| make[1]: *** [test_C] Error 134
| make[1]: Leaving directory `/build/buildd-cmor_2.2.1-1-kfreebsd-i386-qDQUqC/cmor-2.2.1'
| dh_auto_test: make -j1 test returned exit code 2
| make: *** [build] Error 29

Full build logs:
  https://buildd.debian.org/status/package.php?p=cmor

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Sun, 04 Mar 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sun, 04 Mar 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 598745@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 598745@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: cmor: FTBFS on kfreebsd-i386: make[1]: *** [test_C] Error 134
Date: Sun, 04 Mar 2012 01:43:40 +0000
Hi,

| Aborted
| make[1]: *** [test_C] Error 134

That error is from ./ipcc_test_code trying to run (having been
successfully compiled).


After reading about this at:
>
http://www.alcf.anl.gov/faq-page/what-signal-6-sigabrt-error-during-job-startup
> http://www.ualberta.ca/CNS/RESEARCH/LinuxClusters/mem.html

It seems that test program (ipcc_test_code) needs some 671MiB RAM for
the process image:

$ ./ipcc_test_code
Aborted

$ size ipcc_test_code
   text	   data	    bss	    dec	    hex	filename
 264737	    832	704260100	704525669	29fe3565	

This is larger than the kern.maxdsiz boot-time tunable allows, which
seems to be 512MiB by default on kfreebsd-i386 kernel 8.2-1-686.  Even
if I skip this test, many other tests have this issue (maybe all of them).


On kfreebsd-amd64, I guess the default kern.maxdsiz is something higher.
 That is why it will *sometimes* build, but it still fails about 50% of
the time (bug #661283).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Tue, 17 Apr 2012 22:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Tue, 17 Apr 2012 22:03:11 GMT) Full text and rfc822 format available.

Message #15 received at 598745@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 18 Apr 2012 00:02:24 +0200
clone 661283 -1
retitle -1 increase DFLDSIZ on amd64 to something good enough to build cmor
severity -1 wishlist
clone -1 -2 -3
reassign -1 kfreebsd-8
reassign -2 kfreebsd-9
reassign -3 kfreebsd-10
thanks

El 14 de març de 2012 15:46, Christoph Egger <christoph@debian.org> ha escrit:
>  kern.dfldsiz: 134217728

That's just 128 MiB.  I've increased it to 3 GiB on my amd64
workstation, and now I can build cmor (just binNMUed it btw).

For the amd64 buildds, you can put something like at the end of
/etc/grub.d/00_header:

echo "set kFreeBSD.kern.dfldsiz=3072M"

and re-run update-grub.

Be careful if you decide to raise it on i386.  I'm not sure what
effect could this have on available virtual memory.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Wed, 18 Apr 2012 02:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 18 Apr 2012 02:00:02 GMT) Full text and rfc822 format available.

Message #20 received at 598745@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Christoph Egger <christoph@debian.org>, 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 18 Apr 2012 02:57:08 +0100
On 17/04/12 23:02, Robert Millan wrote:
> El 14 de març de 2012 15:46, Christoph Egger <christoph@debian.org> ha escrit:
>>  kern.dfldsiz: 134217728
> 
> That's just 128 MiB.

Argh I misunderstood this before.  Yes 128 MiB is definitely too low for
cmor;  it seems to need ~700 MiB to pass the test suite or run at all.


For kfreebsd-i386:

cmor never built on this anyway, so it's not vital we fix that.  Anyone
planning to run climate models can surely find an amd64 system with
plenty of RAM.  It built on Linux i386, but only because it doesn't
enforce this type of limit.

The FreeBSD handbook mentions raising DFLDSIZ for "memory pigs"[1] but
never higher than 1 GiB on i386.  I think other kernel memory limits are
hit at that point anyway.  Trying to raise it much higher leaves my
system unable to spawn init.

With a DFLDSIZ setting of 512 MiB I can still boot a system with only 64
MiB physical RAM.  To make the compiled-in default any higher would also
require raising MAXDSIZ, or else it is still too low for cmor.  So I
suggest leaving this alone.


For kfreebsd-amd64:

A default of 128 MiB is quite low, and common software in Debian like
mysql, squid or inkscape may have a problem with it.

The MySQL 5.0 manual[2] recommends 1 GiB and I think that would be a
sensible default.

A DFLDSIZ of even 32 GiB on amd64 does not stop system with only 128 MiB
physical RAM from booting.

[1] http://www.freebsd.org/doc/handbook/sapr3.html#KERNELTUNING
[2] https://dev.mysql.com/doc/refman/5.0/en/freebsd.html

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Fri, 04 May 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 598745@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 04 May 2012 23:36:00 +0100
On 04/05/12 23:10, Robert Millan wrote:
> Actually, I think that increasing DFLDSIZ might not be the only
> solution.  DFLDSIZ only sets the default limit, but for login shells
> it is increased automatically.

Upstream does it that way, but I'm not sure if GNU/kFreeBSD does (I see
no mention of ulimit in /etc?).  But if so, it would explain why this
was reproducible on buildd's and not on the asdfasdf porter box.

Raising DFLSIZ seems like the best way to me, as the buildd's will need
it, and some daemons like mysql or postgres seem to want a larger data
size anyway.


> I think it's still an issue for kfreebsd-i386? But in any case, it's
> not RC as cmor never supported kfreebsd-i386 before.

You're right, there's still a separate, non-RC bug for that:  #598745

Even with 'ulimit -d unlimited', kfreebsd-i386 is bounded by MAXDSIZ =
512 MiB whereas cmor would need ~700ish.  I suppose that and DFLDSIZ
could be raised to 1 GiB on kfreebsd-i386 to try to fix this, but no
higher as explained in:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598745#20

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#598745; Package src:cmor. (Fri, 04 May 2012 23:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 23:36:09 GMT) Full text and rfc822 format available.

Message #30 received at 598745@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 5 May 2012 01:14:53 +0200
2012/5/5 Steven Chamberlain <steven@pyro.eu.org>:
> Upstream does it that way, but I'm not sure if GNU/kFreeBSD does (I see
> no mention of ulimit in /etc?).  But if so, it would explain why this
> was reproducible on buildd's and not on the asdfasdf porter box.

ulimit is just the user interface.  This is set by PAM, see
pam_limits(8) and setrlimit(2).

> Raising DFLSIZ seems like the best way to me, as the buildd's will need
> it, and some daemons like mysql or postgres seem to want a larger data
> size anyway.

I'm on your side. I had this discussion with upstream already :-)

> Even with 'ulimit -d unlimited', kfreebsd-i386 is bounded by MAXDSIZ =
> 512 MiB whereas cmor would need ~700ish.  I suppose that and DFLDSIZ
> could be raised to 1 GiB on kfreebsd-i386 to try to fix this, but no
> higher as explained in:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598745#20

If it can be set to 1 GiB, why hasn't upstream done this?  I think it
wouldn't be a good idea to increase this limit in Debian unless
upstream does.

-- 
Robert Millan




Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Sun, 09 Sep 2012 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 09 Sep 2012 18:51:08 GMT) Full text and rfc822 format available.

Message #35 received at 598745-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 598745-close@bugs.debian.org
Subject: Bug#598745: fixed in cmor 2.8.0-3
Date: Sun, 09 Sep 2012 18:48:03 +0000
Source: cmor
Source-Version: 2.8.0-3

We believe that the bug you reported is fixed in the latest version of
cmor, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598745@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated cmor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Sep 2012 13:56:03 +0100
Source: cmor
Binary: libcmor2 libcmor-dev python-cmor
Architecture: source i386
Version: 2.8.0-3
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 libcmor-dev - Development files for Climate Model Output Rewriter
 libcmor2   - Climate Model Output Rewriter library
 python-cmor - python interface to CMOR
Closes: 598745 661325 681891
Changes: 
 cmor (2.8.0-3) unstable; urgency=low
 .
   * Drop reference to upstream git repo for now. Closes: #661325
   * Fix broken symlink libcmor.so. Closes: #681891
   * Don't run test suite on kfreebsd-i386 as the buildds typically don't
     have DFLSIZ set high enough. Closes: #598745.
   * Standards-Version: 3.9.3
Checksums-Sha1: 
 ddf96839fa186cfd2607764caca7e80631e8694f 1982 cmor_2.8.0-3.dsc
 5793a7219550a2c6fa92bcb6f88f010132a171df 7212 cmor_2.8.0-3.debian.tar.gz
 be6570a5b9ed4a8d67e7ecde20b98e71119da58a 140498 libcmor2_2.8.0-3_i386.deb
 5f9094d6dcc973c4c6d97a6533c1e565dc9eede4 4711194 libcmor-dev_2.8.0-3_i386.deb
 6218334cf3da40c9e812ac4f4f23c5b6513bcfb7 248494 python-cmor_2.8.0-3_i386.deb
Checksums-Sha256: 
 335bca6ebb83a6e46211a8ad29d6e93eb13468a296bc036f67779d19ef0f2a4a 1982 cmor_2.8.0-3.dsc
 2b6ea69b87d5f5db63b675ee9b1c6526a40e3413a61d7ea962864998bee101f8 7212 cmor_2.8.0-3.debian.tar.gz
 0b13ae522af3c928ffd2727e010eb98eb62100ebda6baa48dfda9de6b46b6792 140498 libcmor2_2.8.0-3_i386.deb
 36e63fb39a9a44f172413538dc7c874f4cad19187741ee45bab785da1eb44c87 4711194 libcmor-dev_2.8.0-3_i386.deb
 ee9fa2bccaed2efd28968f97ca966a7498a1b7d26b8ad2d9df4ce7f9969bbcc5 248494 python-cmor_2.8.0-3_i386.deb
Files: 
 24de66ac64778a5b1f9cbcf3d1da093b 1982 utils extra cmor_2.8.0-3.dsc
 8753562a612638338f538984a5a940cc 7212 utils extra cmor_2.8.0-3.debian.tar.gz
 df3b06b13f233b72ea22aa5eef79c458 140498 libs extra libcmor2_2.8.0-3_i386.deb
 2b01662b15a3c00ffa4afe35bae6536f 4711194 libdevel extra libcmor-dev_2.8.0-3_i386.deb
 18e9c802c7e02e9ded6bffdf43e85751 248494 python extra python-cmor_2.8.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQTN7FAAoJEN9LdrZRJ3Qsp+QP/icnz/VpmnXAD4uTA0Of67xe
/p5/1wHT3e+MoaOMa/G+VqN2U7127YfSKeIBXhH6zngEMu9+j0KKcGSrkIVVGIy0
QvELLi/DUUFEZ8h09LGZCzNBhLUgV52AtW7+Q5iriHBFetZHo0k2lyfssaApEVEK
X177wp3pOzKuXgWjp1rSaRvaJ4iKCBVzZp7h4PjQPtmQG4fCpGidljDLcf7UDaOG
LSKlWb2F2FoLn+zh7Rw6Sj/uwzqfkMNXYKWgNr+zh219KahsImIaXkFAz8O8wyrs
CKfEbjdtb7dCWI5Tn08q9IA6BohAhUFDNb8ZssAq2PQi7Kp9oORM6KVqR2zeS0Np
DNp7ndnseDCYs9pyuzkrfKQojMK7AMqT0/ou+nZuSiWeCLZ48wNI7oMQwXPNQySX
w03a56XAnFvjRKcXFvZ6H9kR9S3Z9T+dlKNvkxddOktvyIDZRMvB9wougl85LtwC
KJyNoW3UF87SOWzI4RWnN4GyM/A0gdBlOEX1+5icFeqiQ9BlAV/wOPDB8vwi6GNa
gNBdgWxwkGI1HglBuLBH45UXPfYTqSml8MofzKRl01LCTkhDHfVbbacGVmLNPF9A
2Gk9UFm8YJxfnPSeh03ARe+QQAvMrBoLUYsGKcAn+NTcok02NTYFu9JagkdMlnsT
dKKTmUyS9uB3Nea+gQEh
=RhU9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Jul 2013 07:30:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:41:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.